import {
    pgTable,
    bigint,
    text,
    jsonb,
} from "drizzle-orm/pg-core"

export const citys = pgTable("citys", {
    id: bigint("id", { mode: "number" })
        .primaryKey()
        .generatedByDefaultAsIdentity(),

    name: text("name"),
    short: text("short"),
    long: text("long"),

    geometry: jsonb("geometry"),

    zip: bigint("zip", { mode: "number" }),

    districtCode: bigint("districtCode", { mode: "number" }),

    countryName: text("countryName"),
    countryCode: bigint("countryCode", { mode: "number" }),

    districtName: text("districtName"),

    geopoint: text("geopoint"),
})

export type City = typeof citys.$inferSelect
export type NewCity = typeof citys.$inferInsert
